Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.exceptions
[Groovy] Interface StackTracePrinter

    interface StackTracePrinter

Defines method for pretty printing Stack traces.

Authors:
  Graeme Rocher

Since:
  2.0

Method Summary
`java.lang.String` | `prettyPrint(java.lang.Throwable throwable)` Pretty print the given stack trace and return the result

Method Detail

### prettyPrint

    java.lang.String prettyPrint(java.lang.Throwable throwable)

  Pretty print the given stack trace and return the result
  Parameters:
    `throwable` - The throwable
  Returns:
    The result

Groovy Documentation